www.cendio.com

Bug 2182

Summary: OS X client: Add sound redirection support: Port PulseAudio to OSX
Product: ThinLinc Reporter: Peter Åstrand <astrand@cendio.se>
Component: SoundAssignee: Peter Åstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Enhancement    
Priority: P2 CC: carsten.rose@math.uzh.ch, hean01@cendio.se, J.Langner@hzdr.de, tk@CeBiTec.Uni-Bielefeld.DE
Version: 1.5.0Keywords: hean01_tester, relnotes
Target Milestone: 4.4.0   
Hardware: PC   
OS: macOS   
Acceptance Criteria:
Bug Depends on: 5257    
Bug Blocks: 2425    

Description From cendio 2006-09-29 09:28:31
This bug is about adding sound redirection support to the OSX client. That
means
porting PulseAudio to OSX.
------- Comment #1 From cendio 2011-11-23 09:49:34 -------
PulseAudio seems to have support for coreaudio/OS X now.

http://cgit.freedesktop.org/pulseaudio/pulseaudio/tree/src/modules/macosx
http://pulseaudio.org/wiki/BuildingOnMacOSX
------- Comment #2 From cendio 2012-09-25 16:10:37 -------
OS X 10.5 is needed though, so we have to upgrade our current requirements and
build system.
------- Comment #3 From 2013-11-18 11:53:02 -------
As this bug has been open for quite a while now (2006) and not been addressed
yet (ThinLinc 4.1.1), we as a ThinLinc customer would like to explicitly
express our wish to see full sound support/redirection in an upcoming OSX
client version of ThinLinc since we are running ThinLinc Clients for a bunch of
OSX machines here.
------- Comment #4 From cendio 2014-10-27 11:23:15 -------
Requested on the mailing list:

http://lists.cendio.se/pipermail/thinlinc-technical/2014-October/000643.html
------- Comment #6 From 2014-11-04 12:16:51 -------
We also would highly appreciate that Mac OS X is fully supported by the
thinlinc client. This means that audio should works like under Linux and
Windows. Our users use skype as well as video editing software - for both audio
is a mandatory feature (play and record).
------- Comment #8 From cendio 2015-02-27 08:57:44 -------
"PulseAudio on Mac OS X" paper: http://lac.linuxaudio.org/2011/papers/25.pdf
------- Comment #9 From cendio 2015-03-03 15:11:50 -------
Fix for problems with configure.ac:

https://bugs.freedesktop.org/show_bug.cgi?id=89412
------- Comment #10 From cendio 2015-03-03 15:49:32 -------
Fixed in: r30084, r30083, r30081. Keeping bug open until test of next nightly
build.
------- Comment #11 From cendio 2015-03-04 09:36:46 -------
(In reply to comment #10)
> Fixed in: r30084, r30083, r30081. Keeping bug open until test of next nightly
> build.

Tested build 4680 on OS X 10.10 and 10.6, works fine.
------- Comment #12 From 2015-03-04 09:53:52 -------
I just tested the latest nightly build (4.3.0post build 4680) on OS X Yosemite
10.10.3 as well and can report that sound works as expected now with a ThinLinc
Server version 4.3.0.

Thanks for implementing pulseuadio support in the OS X clients of ThinLinc.
This really improves user experience.
------- Comment #13 From cendio 2015-03-19 09:54:45 -------
Tested using client build 4696 on both 10.6 and 10.10.

Playback/recording and reconnecting to a session with sound works as expected.
------- Comment #14 From cendio 2015-04-01 13:19:19 -------
Needs to be retested after gcc fix.
------- Comment #15 From cendio 2015-04-13 09:49:02 -------
Retested using build 4723, works as expected.